---
title: CanvasRenderingContext2D.drawWidgetAsOnScreen()
slug: Web/API/CanvasRenderingContext2D/drawWidgetAsOnScreen
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Method
  - Non-standard
  - Reference
---
<div>{{APIRef}} {{non-standard_header}}</div>

<p>The non-standard and internal only <code><strong>CanvasRenderingContext2D.drawWidgetAsOnScreen()</strong></code> method of the Canvas 2D API renders the root widget of a window into the canvas. Unlike {{domxref("CanvasRenderingContext2D.drawWindow", "drawWindow()")}}, this API uses the operating system to snapshot the widget on-screen, rather than reading from Gecko's own compositor.</p>

<p>This API cannot be used by Web content. It is only supported on Windows, only on widgets that use <a href="https://wiki.mozilla.org/Platform/GFX/OffMainThreadCompositing">OMTC</a>, and only from within the chrome process.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var><em>ctx</em>.</var>drawWidgetAsOnScreen<var>(window);</var>
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>window</code></dt>
 <dd>The {{domxref("Window")}} to render.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any current specification or draft. This is a non-standard and internal only API.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.drawWidgetAsOnScreen")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("CanvasRenderingContext2D")}}.</li>
 <li>{{domxref("CanvasRenderingContext2D.drawWindow()")}}</li>
</ul>
